Bug 123124 - Crazy and confusing item/application naming scheme for main menu
Crazy and confusing item/application naming scheme for main menu
Product: Fedora
Classification: Fedora
Component: redhat-menus (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2004-05-12 14:34 EDT by Michael Favia
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-22 11:04:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Favia 2004-05-12 14:34:37 EDT
with each successive release of fedora it is getting harder and harder
for people to actually understand what programs they are working with
when they access them through the "Main Menu". Applications are now
given cryptic names like "Audio Player" and "Music Player" and "Web
Browser" instead of te projects real name. While i recognize that it
may be daunting for RH/FC newbies to learn the names of all of these
new applications i thought that is why there are tool tips that pop up
when you hang out on an entry for a second (as if you were confused). 

I see 2 ways for the "Main Menu" to work well:

1. Leave the names as is and develop a nice system for setting the
programs to run when you click on these generic launchers. (yes you
can edit properties but i am saying that if you are going generic you
should just essentially make this a MIME type launcher that just opens
programs with no loaded file). This MIME editor could be used in
nautilus to launch the appropriate program too. What i am saying is
combine the mime tree with the "Main Menu". 


2. Put the names of the real applications back on the menu and add as
a tooltip the function that you currently have as the name. (e.g. Xmms
TOOLTIP: "Audio Player") so people actuall know what they are
launching instead of the current "jack in the box" style suprise.

Right now i believe we are sitting on the fence and all parties are
suffering as a result. If this bug is unintelligible please let me
know and ill try to rephrase it more licidly.
Comment 1 John Mahowald 2005-10-03 00:33:44 EDT
Is the currect practice of naming something by both the project name and the
generic name a good compromise? For example Firefox Web Browser and Evince
Document Viewer.

Note that the name is defined in the .desktop file of the package, so to suggest
fixes to specific applications file bugs against them.
Comment 2 Christian Iseli 2007-01-22 05:43:35 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Comment 3 Michael Favia 2007-01-22 11:04:04 EST
Unfortunately i use another distribution for my desktops these days and use FCX
exclusively as a web server product so i don't have desktops installed on them.
I don't know if this is still an issue or if this was ever a real issue for
other people besides myself. Marking as DEFERRED.

Note You need to log in before you can comment on or make changes to this bug.